Subscriptions
Update a subscription
Only customVariables is mutable.
Authorization
apiKey X-API-Key<token>
Your merchant API key, shown once at creation in the dashboard (Settings → API key).
In: header
Path Parameters
subscriptionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/subscriptions/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "merchantId": "string", "offerId": "string", "offerPriceId": "string", "offerName": "string", "priceAmount": "30", "priceCurrency": "USDC", "customerId": "string", "chainId": -9007199254740991, "status": "pending", "currentPeriodEnd": "2026-08-19T14:32:00.000Z", "allowanceConfirmed": true, "cyclesCompleted": 3, "consecutiveFailures": 0, "customVariables": { "property1": null, "property2": null }, "afterCompletion": { "property1": null, "property2": null }, "isSandbox": true, "idempotencyKey": "string", "affiliatePartnerId": "string", "affiliateCommissionPct": "string", "createdAt": "2026-08-19T14:32:00.000Z", "updatedAt": "2026-08-19T14:32:00.000Z"}